## fceu 0.97.5

=== mbshare/Makefile ===
MUSOBJS   =       mbshare/mmc5.o mbshare/mmc3.o mbshare/mmc1.o mbshare/tengen.o

mbshare/mmc1.o:		mbshare/mmc1.c
mbshare/mmc3.o:         mbshare/mmc3.c
mbshare/mmc5.o:         mbshare/mmc5.c
mbshare/tengen.o:	mbshare/tengen.c

## fceu 0.0.1-1

=== debian/changelog ===
fceu (0.0.1-1) stable; urgency=low

  * Initial version


 -- Arno Dekker <adekker@gmail.com>  Sun, 18 Mar 2012 18:30:02 +0000

=== debian/control ===
Source: fceu
Section: user/games
Priority: extra
Maintainer: Arno Dekker <adekker@gmail.com>
Build-Depends: debhelper (>= 4.0.0), xutils-dev, libreadline4-dev, libxt-dev, libhildon1-dev, libglib2.0-0, libsdl1.2, libxrender1, zlib1g-dev, libpulse0,  zlib1g, libxdmcp6, libfontconfig1, libsm6, libxext6, libexpat1, libasound2, opengles-sgx-img-common, libxau6, libfreetype6, libpng12-0, libsdl1.2-dev, libdbus-1-3, libice6, libx11-6
Standards-Version: 3.7.2

Package: fceu
XB-Maemo-Display-Name: FCE Ultra
Architecture: armel
Depends: libglib2.0-0, libsdl1.2, libxrender1, libpulse0, zlib1g, libxdmcp6, libfontconfig1, libsm6, libxext6, libexpat1, libasound2, opengles-sgx-img-common, libxau6, libfreetype6, libpng12-0, libdbus-1-3, libice6, libx11-6
Suggests: fceu-gui
Description: FCE Ultra is a NES/Famicom emulator
XB-Maemo-Upgrade-Description: 
XSBC-Bugtracker: http://bugs.maemo.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9wDEQkYBIyKWxEAABZPSURBVHja
 1ZtpjGTXdd9/d3m1dC29T3fP0s3p2XvYwxYpcSg6EilbiBwHZiQOKCNyECmETcgBhAQQZBnwh8QG
 DDAWlQ8BHFuWAEmhBCekbcBJFIQxoyUKJxLJEYez9WycnumZnt6m1+paXr337s2Ht1RVLzMtDiXL
 BTxU1at777tnuef8z//eEtzn69o1y/CwaLn3ve9Zdu0iJQSOUihAAlIpBCDuMaQNAixgjMEEAQHg
 nTlD/ZlnWrtevWrZv1/c1/zfVW9rLePjMDLS6H7pkh3SmiGl6AEGjOGYtRwEdgEdQFEI0tsbHxdY
 tZZlYEoILknJWaWY9jzmfZ8bhw6Jybj9uXOWo0dBCPHzUUD8Gh+3w6kUzyjFI8ZwyBiGgPZICKxN
 BGoW7u4TEhs/C9Fyf1lKJpXiYr3OKc/j5ZERMfEz94DLly0HD4pY8OPZLC8AD/o+OWNw1glptxr/
 XkbaQkE26iuax5EST2vKwFnX5fOHDok3ovlx5Ih4bxVw8aLVWttDQvCfpORhzwNj+IV4SQmOA0HA
 m8bwz2s1c+XYMe3ftwLOn/c5elQzPu7v0Fr8gRD2s74PQYCNLCl+MVSAtRaUQmgNxvAffZ9/OzKi
 5y9c8BgZcX56BVy44DMyojl/PnjIcYJvBIEdC4LEvX9RBN+gCCEQSgmU4i3fF58eGXHOnj7tMjaW
 3r4Czp6tMTqa4fx580Gl3Fc8j0Lk7r/IwjfHCyElpNNiZXVV/KP3vz/9/86cqXHsWGb7HnDmTHVU
 a3OyVrP5vyeCb+oNmYwoua58fGwse27bHvCTn5QGHIdXPM+OGtMQ3t4rh/2dvsRmGcZKiXAcccYY
 52MPPZSZuasCzp6tUKsJ5TjeC0EQ/GvfjyOMwRjz90ABAinlBkCktUBr9WVj0l8Uwg/Gxtq29oAz
 Z0oHPc+7VK8bjLHWmEDECggvixCWv3uPaLZ4LLhEKYUQslkRFhCpFCjlHBgbK15tUc76YT3P+3a9
 7uP71vq+J4wxBIHP7OwUpdIK1gaJ4A0FiBirvKcCbh3jWmFvKLBCa4WUmmKxg76+3Ugpk8nV64hU
 SrwIfHDDU156yfLJTwpOn1593HWrr9VqxgZBIILAp153AfjWt/4D4+NvkUplEEJirUWIsGKp16tI
 qXCcTIRbm/QhQngnthFGQ31a6vUanuduAngkqVQWrVMt3he7PoDrVjl27FGeffYLGBMgpUrQaTaL
 sDZ7/Pjx9tfD+YvQA44cuR1Z3/2S6wYYYwkCH8+r47o1rDVcu3aBUqnM8eNPUCx2YYxBCFhevsMb
 b/xPenp2cfTBf4CTSoeTiy0UFQXinonEApJ6vcJbb32PixffIAi8pj6Wjo5eHnvs1xgefgjfr7eM
 J6WkVFriRz/6Du+8c4HQc4OWNrUapNPuC8CHX311vrEERkd3cfJk6aDnrYx4HlhrRCx8tVom9oQ9
 e47w8Y8/y8DAXnw/QCnB5OQlZmZusP/w+/nUk8/QNXcTWV4J8SlgdJrK3iO4Pb0Nz7CxYlpVoBSs
 rVWp1SqMj/84UkCjUaHQzRNPPM1HPvIUlUq9pa/jKKanr3P79jVqtYXIcDZZIoAIAlCqPvqDH6wO
 P/FE8RqAfuWVWT72sT6gcsJ1Td4YizEG3w/wPC/xAt8PIqNqrFXRBUJowGKdNPmJs+z9L/+ezPXz
 oB2wBr/QzdQn/iXLDz+BlRKrNF6hh6CtHbsJPSBE9R5lbfxbapPlowCBtQY/SmFSqiRoA9TrIpfJ
 VD8JPP/Xfz2NDoWHIKi+z/OsthbiwOf7HvW6i+vWMCbYGoTH8/I8dHkZp7SAVSH+lm6Fvv/1LTre
 +j7CBniFLuY/8kmWx54I29iNcWDr7GJbKsat9BQa0IuCo5/EgXCZ42hdex/A008PhEvg5MmFoVpt
 9XAQBDQUEOD7fuIF5i6lnxCQQmIPjLH4T7+IXprFyJD+sQJE5O7CGky2gO4bItuWwsjW5KEU+H4b
 Wqe2nyvExhI69gClFMaolt+FAM+zh374wzuDH/pQz6QOtVId8v1gMAhMpMEg8YJYEdZurQDfr3N1
 /Me80tlNWmpsZ9/m5omCo504h50c3yTKCyqVCjduXNjS47ZbGoYBEKQM4nDUNF8GlaoNAqECjKl2
 +75pjxVgbegBcTwwJtiUqLAWHCdFodDN1atvsbA4g1Tq3jM0ZlPcIITA932mp68RBP59KsAghEgy
 QfOy8n3b6ThuD4B++23L3NzlnZH7W0CEsLcV/W0FdAqFXn71Vz/D/PyvNFnt3dVNQkhqtTVOnvyv
 3LlzO8oC70YBMXwXUbo260jXQNTr9P3lX1r06upMyhhxzPeDhOEJ3T/0gq3rAIu1kMnkGR39IPDY
 fTIaoJSkVFplauoqp079720pYPN4aRNjhAGw1eNCz9XHenvnHV2t1hzfD6IAGC7c2PKxK8UBMOTh
 BFKG7w1IKt8zakspHSLNuxY8bFjX8ZzCoGgTr10PhgAR/m5G6vVKShvjqyAwA0FgEm3GCgjv2eiC
 et1leXmOVCq1buDt1AFiQzrbLAiurVWp1spkraUIrALpuLfxWS0tsbg4T63mrgNRiuXlOVy3irUk
 8wuN1+oBQkAQmAGtA6WN8aUxQUezQA3hgyQjCCG4cuUUL77478hmC9FvoaZDrxDrBG0UA7FFrDVI
 qZrabiBy8P06E++c4ajv8WHgJWAU6AS+uzzHd/7H1zn91vfXweQwflSrJa5efYuBgT2R4HEtEGx4
 VhD4nZ6H1EHgySDwi3EGaPaAeBnE69/3y1QqkxiTxVrLwsICt29PsXPnTrq6eloQV/MrCAy3bt1i
 ba3E4OAQxWJxi7QqIuyxQhXLEuABaxHG84yHW5ulvGYI1qVJIQS1Wg3fLycyxO+bAasg8AtSIrXn
 ecL3g3Qz0ImzQMNy4bVjxw6OHz9OR0cHQRBw+fJlSqVVRkZGOHDgwJYILggCTp48yfT0NGNjD7F7
 9+4Eqq6v9mq1Giet4fTsLJd8HxeYjWxdyGR48OgIR44coV6vryM9NCsrK6ytlVrmHgRBUimum1NW
 Sit0EPgijvjNSCoMfnEFJ6IyOAyKWmscxyGVSkUlaopsNtvgCZqFEgLP83Acp6XtVgqw1qK1xm9y
 3Ng0Qqmkv1qHN2IjOU6abDYXCb61B/g+CKGEDteyiYBDqwc0x4RDh8aYnLzIuXMXkFLQ09PTENgY
 8H2EtSEJF903QiCMCTcSmkiUeHkJIVoKn+YlJ+4Cctb3t9YyPz/P+fPjdHTs4siRR/F9H60FxgRx
 NdiSBoMApLRo3/cJAtuC9WP3iT3AWti9ex8LCzNcv36OoaHd9Pb2JpOXxrBnchLt+9zp6aFzaYm6
 47DS0cHQ5CRTXV0tCfvdbGKuX+/rlbK6usLNm7cYHf0we/eORB6gIsPaTcBoKJ82xoj4S4PDsFG+
 DTWslEQpjZQqsZJo2rlU1rLn1i0ytRpeKsXgzZtUs1l8x+HglSvUDh4MLRr1eS+5xHgucapWSke8
 YCMjrX9eWPBZjDFCh5ifDdVeKGhcT6sofWmU0kmxEbtjzVrePHoUaQy1TIa5fB4jJfVUilcff5yS
 4+BPTSVecL8esF74eK5aO1HaExjTWhRt5gFBINDWWht+MS0FXKg1EaEviRCK/v49lMsrXLlyLdKy
 wHNdTp85w41bt1orPqIyOJrgrZs3yWazm0bk+10KExPXuXZtkr17R9m1azhZtnGc2Aw+hzFAWBlm
 gLDiC4LGFae/Zta1o6OX/v4h5ucXmJ+fo7u7mwMHD1IoFDBBGExN5BW26TPW0t/fz/DwMNlsdsuJ
 vZuXUor5+TkWFpYYHDxMV1d/skxjXmP9FVa3YRsdU0hBELRMqgGBRcKza50im83R1lakVCpjreWx
 xx5L1uB2JptKpVpjyLo0uD4zbGb1mAU2xrCwsEC5XKVY7CGTaUMplbBKW5E4oXfIWAHWbtU4Jndj
 D1BKk893sHfvKBMTZzl16hSPPvoo+Xx+22t2PYBZL5zruhEBYzeluur1OtVqFc/zqFQqvP7667iu
 4sEHf4lisbPpVMrW6z/8XQFYba201gY1Y4LM+jq+UVWRxIF0OktPzwATE+OMj1/E9wMymcy2PODe
 Xi8IAp+pqalI+aIlktdqNS5cGGdubh5jDK7rcuXKFfbtex+9vbvROhMFRQuYuzzPYq2tgDRaSmXA
 WzHGbKqAOBjG205KOWidYseOXdRqZZaXXaD2nu4MOU6BwcH8Bi4PBLWaYHp6OdkK6+/fR3//YFRG
 iyYPMHc5j2QRQqwKoawGYay1q9aaPms394A4x4Z7cKEXPPDACH19gwlh8jM58rFF1JdSo7VGawfH
 SZPLFXGcdAtSvHscsVjLihDKaKVSAVSmjDEH1ssR84HGBHhePSFJQZDJtJFKZfD9egs4ivF8vHXW
 SKMSiJXVIC7C9s0C2iYoTlRuy8i6JjFCLLzjpNDaIQgClIqpO3NP4sVaO6WU4+tsNu+trCyOGxM8
 aYxoOQsQC28tXLx4itnZyWTSO3fuJZ1uY2LiXLJv0NXVT1/fHu7cuc3i4mzkzikGBw/R3T3A6uoS
 t2+/Q3t7NyBYWJhm796jLCxMY61h1659CKGYmbnGzMyNKDPBzp37SKXS3L59jXq9hhCCzs4+hoeP
 4jgpbt26SqVSYnh4lEKhA1B38wALVlgbnCsU8p5+5pnR+pe/fOntmP5qWL9BjUupuHr1bW7fvkZP
 z04ymTbqdZd6vcbVq2dIp7NkMjlyuXZct8bNm1dZXJyms3MH6XRbZB1NpbLK9esX2bnzgWTM/v4H
 mJ6+jjGG/v69pNMp6nWX2dlJFhfn6OkZoLd3D9XqGteunUdrjTGGlZVFduzYw8rKIlNT7+C6VUAw
 OHiIjo7euylAhNmmduYTnxj1tBCCF154eS5y+Rbrh7tDPlIG1OsunZ07OHbsQxQKHWid4vbtCbTW
 7Nv3ELt378dx0hElZejvH2Js7EmklKTTWUBG8NMj3oCJ9xti8jX0LsWuXftZW1uhWi1z6NAj9PcP
 MTl5CcdJMzR0GNetsrw8R6VS4vLlt2hry9PVNcDlyz9BSkWx2NWSQTZBJAgh7iSbo21t+blqtb4Y
 BEFXQwGh8EHgJ6AhDoCZTD5awwYpNdlsaH0hBJ7nRjV9mkwmh+OkkpgQL6fwu9lQAsfBVutUBGoc
 stkiWqeSwBaOF9YonudRLq+gtYO1lnJ5lVqtjOf5USEnt4gBeiGXK8wR07m5XM+ktcFkgwoLCGny
 cFfI9z2stSwtzTExcY5SaamFKWqm0MIqK2B29gbvvHOGWq2S3Fu/3xATL83jNFPxEXeXoNRarcKt
 W1dx3Qp9fUMoFS6H+fkpJibOUa2Wk639mM3e7LI2mCwWeycTBXz60x+4CcEVa2O83KqEeDK1WoXl
 5Tu4biUZrDn1xP2stVQqJZaW5qjX6y2YvFnQiJtrorAaSmwQKKYpHnmUSsv4vkcmk08UV6mUWFlZ
 wPe9pi09f9M6IPQ8c+VTn3p4CkD+/u9/B4BisedNpYQXn9JoPugcT6anZ4D9+8coFLo2AJ/m9kJI
 du4c5uDBR0ins4mAzXxD491uwO6tGEAkOz2ZTI7BwUM4TpqbNy9Rq5UBQV/fIMPDo2SzuRYSt3Vp
 hZdSeO3t3W8A/N7v/Q3yj/7oHwMwPHz45fDgcSt/HtcCYUrLkM93RqBDJJR3eMXaDfFAOt1GNptv
 oa2bi5kGYSGazv2QeFDr8ReVHIRqaysgpaJWKycKS6Uy5HJFpNQbDNMorkREnrI2NHTsPwM8//w/
 CZfAn/zJ13nqqQMThUL72RAkYONOUkqUkhs4+Bj01Os1bty4yLlzJ7l58zL1engyY3Z2kgsXfsTF
 i6+zsnIHsBSL3ezefRDf9/A8r8Vqi4sznD//I8bHf8zi4syGA1AhjyCahJJNzE/zfsSW1aSVEgqF
 9rc//vGhW3/8x6+QxIDe3s8A0N+/51+l041zdvGDhJB0dfXR3T1AKpVO7mWzOTo7+3DdMjMz11le
 no/a9qOUZnZ2kvn5KVy3AgiKxW727TtGLlekra3AgQNjZLNF2tt7SKezLC3NMDt7k2p1jVyuyI4d
 e8hkcmityeXa6enZSS7XTqHQSVdXH9lsnu7uATo6esnlivT27iKfb2djTRMeHM1kFDt2PPA5gC98
 4R9uvo37wgt/9drMzNzjvm+stVbE29Sl0hJgyWbzSdHheS5raysY42OMIZXKkMm04Xk1PK8OhN7T
 1lZM0qExhkqlBFgymbbo8FIF160lnEAmk0NKRb1eJZvNo5TGdcM2qVQ62ritk0plcd0qWjsJLM9m
 82Sz+aZzgoKQrDZiYKDvh5///NMfvus5wUIh/y9WVpYulcueMMZYpbQwxlAsdkWaNEnQSqczpFLN
 pXCIpNPptmj7S0beYpt2gG1UtzcCbT6fJp9vlL9h3BFNMSRUfCZTSE5ZxbVHbBApJVIWk3jRiFEh
 9M1mUzadzjy7ARM0f/mLv3id3t4DVwqF9j90HIUIX9HgCqViYrT5c/PlJJ/j38K+OukXvjtoHV6t
 /eM2KiFg4nG1TiUVYHilWsYIn6Ga2OzGmWnHkeTzxT/YuXP/O9/85sl7H8f8ylde7Zqfn/lvy8vl
 x020ORCnx1aeoJHKNi9dRQvFtX6MRrq1GwLYZtz/+oNSzQGwkV1Ei+srhWhvz73W0zPw65/97K8s
 bfc8Kt/4xk8Gbtw4fXp1tb4jdCMh1peZzenKbrrxIZrKz60ONtgtt9JbWerNd5Nb2zXSa5jJrGhv
 z8wePfrYQydOHJ7dFBZvdvPP/uz/8JnPPDy9f//7PprPOwtKCRGd5LRhPpct6SlMlappaciWy1rZ
 xAnIhGSNl1br58b3zdtv7NdoJ7BW2AjwiEIhPT809OBHT5w4PPvii2/8VCeS+fM//z7PPfck3/72
 m/0TE+N/VSpVH/c8Awjb+PfWdo6//vz+ZxEHPMeRFIu51w4ffuTpEycOz/3pn36X3/mdX2bbHgDw
 3HNP8tWv/oDf/M33z3R17Xiqu7vzD3O5lJHSCBsSyXY9hfZT6Pe9FJpwLtYKYUQ+75iens5/09XV
 /9SJE4fnvvnNH28p/E81w7/923lx8eIbh8vltW+tri4/HP6fYPP1+nOyduJlUkIqJWhv73wzlyv+
 sw984OHLx4/v2BZLq7f7wOvXL9jPfe7XxoFHvvKV7x9fWJh6oVwuPxgE5HzfOo2sEPu+2FTB7/6P
 k7Ylvkop0Fp4SolyPp8/29298/PPPffkGwBf+9pr299eux8rvPTS28M3b157plRaesQYcchaO+R5
 QXvM+KyvEjd5fPzrlopqftdaoZRallJMKmUu5vPdp3bvfuDl3/iNsZ/9X2fXp78vfem/87u/++vJ
 va9//f8OLS/PD62trfYYYwe0Th0DcdBas8sY0xEEpmiMn24+jdqa/2UChZXSrpRyVSm5DHJKCC55
 nntWazHd1lac7+joufHssx9K/jz9/PN/wxe/+NTP/8/TAF/96qv89m9/tOXe6qrl5Zd/mKpWy47n
 ucr3PRledeH7gYgOMgrbtF0upbIgUEpZx0lZpRzjOCmjdTpoa8t7Tz/9S/XOztbpfu1r3+W3fuuX
 72v+/x9WyivWhtQLlQAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/fceu" install
	mkdir -p "$(CURDIR)/debian/fceu"

	mkdir -p "$(CURDIR)/debian/fceu/opt/fceu/"
	cp -a "src/opt/fceu/fceu" "$(CURDIR)/debian/fceu/opt/fceu/fceu"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fceu 0.98.12

=== debian/changelog ===
fceu (0.98.12-4) unstable; urgency=low

  * The "Yay for squeeze release!" release.
  * debian/source/format: change to "3.0 (quilt)"
  * debian/rules: minimize using dh, build-dep on debhelper >= 7.0.50
  * debian/patches/554281-fix_FTBFS_using_gold:
      patch from Bhavani Shankar R <bhavi@ubuntu.com>, closes: #554281.
  * debian/fceu.doc-base: fix Section, thanks Lintian
  * debian/control: move project homepage from long desc to header,
    thanks Lintian!

 -- Joe Nahmias <jello@debian.org>  Sun, 06 Feb 2011 15:36:00 -0500

fceu (0.98.12-3) unstable; urgency=low

  * debian/rules(clean): remove config.log, closes: #437187.
  * Add fceu.desktop from Ubuntu to associate fceu with x-nes-rom mime-type,
    closes: #437192.

 -- Joe Nahmias <jello@debian.org>  Sun, 12 Aug 2007 00:07:12 -0400

fceu (0.98.12-2) unstable; urgency=low

  * debian/control: update build-dep to use libgl1-mesa-dev.
  * debian/control: bump std-version, no changes.
  * debian/rules: configure with --with-opengl, closes: #288658.

 -- Joe Nahmias <jello@debian.org>  Sun, 08 Jul 2007 12:38:42 -0400

fceu (0.98.12-1) unstable; urgency=low

  * New upstream release, closes: #248642, #253367.
  * Restructured package since upstream does not provide a version of fceu
    that uses svgalib anymore.
  * Updated debian/copyright.

 -- Joe Nahmias <jello@debian.org>  Sun, 10 Oct 2004 20:57:14 +0000

fceu (0.97.5-3) unstable; urgency=low

  * The "movin' on up" release.
    Note to ftp-master: This package (along with all other NES emulators) is
    now eligible to go into main since there is now a DFSG-free NES ROM in
    Debian -- see the efp package.  I mailed debian-legal about this and they
    seem to agree with my assessment (see the archives for Jan 2004).
  * debian/control: change section to games -- no more contrib, w00t!!
  * debian/control: Provides: nes-emulator.
  * debian/control: Suggests: efp.
  * Added alternatives for /usr/bin/nes for both fceu-sdl (pri 30) and
    fceu-svga (pri 25).

 -- Joe Nahmias <jello@debian.org>  Tue,  3 Feb 2004 22:26:49 -0500

fceu (0.97.5-2) unstable; urgency=low

  * fceu-doc.doc-base: Add required Index line (closes: #223505).
  * manpages: escaped bare hyphen-dashes.

 -- Joe Nahmias <jello@debian.org>  Thu, 11 Dec 2003 00:39:36 -0500

fceu (0.97.5-1) unstable; urgency=low

  * New upstream release (closes: #223118).
  * debian/control: update maintainer email.
  * debian/control: bump std-ver (no changes).
  * debian/control: add build-dep on xlibmesa-gl-dev for OpenGL.
  * debian/copyright: update download location.
  * debian/watch: added to check for new upstream releases.
  * Fixed garbled sound on big-endian machines (closes: #221394):
     + drivers/common/unixdsp.c: use correct ioctl() based on endian type.
  * Fix crash when using OpenGL mode in fceu-sdl:
     + drivers/common/sdl-opengl.c[34]: change 512*4 to 256*4.
  * updated manpages:
     + reflect new location/format of FCEUltra readme.
     + disambiguate status of default keybindings (closes: #220312).

 -- Joe Nahmias <jello@debian.org>  Mon,  8 Dec 2003 18:02:11 -0500

fceu (0.96-1) unstable; urgency=low

  * New upstream release
        + Improved RAMBO-1(mapper 64) emulation.  Fixes "Skull and Crossbones".
  * debian/control (Std-Ver): 3.6.0 (no changes).

 -- Joe Nahmias <joe@nahmias.net>  Tue,  5 Aug 2003 19:58:04 -0400

fceu (0.95-1) unstable; urgency=low

  * The "I love my upstream" release :-)
  * New upstream release
        + powerpad.c: avoid a symbol clash on PowerPC arch.
        + sdl-throttle.c: now uses SDL_Delay() to relinquish CPU time.
        + /dev/dsp code now searches for /dev/dsp before looking for dspX.
        + SDL joystick axes configuration is now done from the joystick.
        + Added somewhat crude support for games that switch background CHR
          data mid-scanline (eg. Pirates!, Business Wars, and Marble Madness).
        + Low-quality sound emulation now uses 32-bit integers for better speed.
        + Tweaked various Konami mappers' IRQ counter emulation.
        + Fixed an issue with sprite priorities on MSB-first platforms.
        + Fixed a mapper 90 save state bug.
        + Various and sundry other bug fixes and code cleanups.
  * debian/patches: all patches have been merged upstream, remove it!
  * debian/control (Build-Dep): remove dpatch.
  * debian/copyright: updated download location.
  * debian/rules: now using upstream's build mechanism, modified somewhat.

 -- Joe Nahmias <joe@nahmias.net>  Sun, 22 Jun 2003 01:14:29 -0400

fceu (0.94r3-4) unstable; urgency=low

  * patches/10_PPC-symbol-clash: change symbol name from PPC to PwrPadCtrl to
    make the powerpc buildd happy (input/powerpad.c).

 -- Joe Nahmias <joe@nahmias.net>  Mon, 16 Jun 2003 16:11:59 -0400

fceu (0.94r3-3) unstable; urgency=low

  * debian/rules: remove -march compile option.
  * debian/control: fceu-svga is now Arch: i386.
  * debian/rules: use -s switch to debhelper in binary-arch target.

 -- Joe Nahmias <joe@nahmias.net>  Tue, 10 Jun 2003 21:09:12 -0400

fceu (0.94r3-2) unstable; urgency=low

  * debian/control: really fix build-deps.

 -- Joe Nahmias <joe@nahmias.net>  Mon,  9 Jun 2003 22:11:43 -0400

fceu (0.94r3-1) unstable; urgency=low

  * New upstream release
        + fix divide-by-zero error.
  * debian/control: Standards-Version: 3.5.10 (no changes).

 -- Joe Nahmias <joe@nahmias.net>  Mon,  9 Jun 2003 20:45:14 -0400

fceu (0.94r2-2) unstable; urgency=low

  * Standards-Version: 3.5.9 (no changes).
  * debian/control: change build-deps to try and fix #178192,
    thanks Christian T. Steigies.

 -- Joe Nahmias <joe@nahmias.net>  Thu,  1 May 2003 21:51:20 -0400

fceu (0.94r2-1) unstable; urgency=low

  * New upstream release
        + Even more bug fixes. 
        + Adds support for mapper 107.

 -- Joe Nahmias <joe@nahmias.net>  Sat, 12 Apr 2003 21:11:23 -0400

fceu (0.94-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: fceu
Section: games
Priority: optional
Maintainer: Joe Nahmias <jello@debian.org>
Build-Depends: debhelper (>= 7.0.50), zlib1g-dev, libsdl1.2-dev | libsdl-dev,
  libgl1-mesa-dev
Standards-Version: 3.9.1
Homepage: http://fceultra.sourceforge.net/

Package: fceu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: efp
Provides: nes-emulator
Replaces: fceu-sdl, fceu-svga, fceu-doc
Description: FCE Ultra - a nintendo (8-bit) emulator
 FCE Ultra is an emulator of the original (8-bit) Nintendo Entertainment
 System (NES) released under the GNU General Public License (GPL).  It
 includes the following features (and many more):
       * fully customizable color palette rendering engine
       * complete sound emulation (all five channels)
       * support for up to four joystick controllers
       * zapper emulation for the mouse
       * GameGenie emulation
       * accepts compressed (PKZIP, gzip) ROM images
       * TCP/IP network play

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O3
endif
export CFLAGS

override_dh_auto_clean:
	dh_auto_clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

override_dh_auto_configure:
	dh_auto_configure -- --with-opengl --bindir=\$${prefix}/games

override_dh_auto_build:
	dh_auto_build
	ln Documentation/fceu-sdl.6 fceu.6

%:
	dh $@

## fceu 0.98.12-7

=== debian/changelog ===
fceu (0.98.12-7) unstable; urgency=low

  * Added onscreen buttons for Screenshot, Select, Start, and Quit.
  * Set to auto-pause if device goes inactive
  * Autosaves if the device powers down while playing,
  *  and autoloads next time the game is launched.
  * Zoom in/out buttons control audio volume
  * Home button pauses instead of quitting
  * 770/N800 autotools cleanup

 -- Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>  Wed, 21 Feb 2006 17:17:14 -0600

fceu (0.98.12-6) unstable; urgency=low

  * Implemented the Xsp pixel doubling hack.
  * Added onscreen buttons for Save and Load State.
  * Added (unused) gstreamer audio driver.

 -- Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>  Wed, 20 Dec 2006 17:17:14 -0600

fceu (0.98.12-5) unstable; urgency=low

  * Modified default bindings for zoom-out and zoom-in buttons to 
    Save State 0 and Load State 0 respectively.
  * Added ESD audio driver.

 -- Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>  Wed,  6 Dec 2006 01:17:14 -0600

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-esd --with-xsp


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	ln -sf Documentation/fceu-sdl.6 fceu.6

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	### from old debian/rules
	### # Clean up after install
	### rm -rf debian/fceu

	# Add here commands to clean up after the build process.
	rm -f build-stamp 
	-$(MAKE) distclean
	rm -f fceu.6
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: DESTDIR=$(CURDIR)/debian/fceu
install: build
	dh_testdir
	dh_testroot
	dh_clean -k 

	# Add here commands to install the package into debian/fceu.
	dh_install

	# work around dh_install not handling spaces in filenames
	mkdir -p ${DESTDIR}/usr/share/doc/fceu/tech/
	cp -a Documentation/tech/ppu/2C02\ technical\ operation.TXT \
		${DESTDIR}/usr/share/doc/fceu/tech/
	mkdir -p ${DESTDIR}/home/user/.fceultra
	cp -a fceu98.cfg ${DESTDIR}/home/user/.fceultra
	
	mkdir -p ${DESTDIR}/usr/share/fceu
	cp -a buttons/*.bmp ${DESTDIR}/usr/share/fceu

	mkdir -p ${DESTDIR}/usr/share/applications/hildon
	cp -a fceu.desktop ${DESTDIR}/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installmenu
	dh_installman fceu.6
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fceu 0.98.12-8

=== debian/changelog ===
fceu (0.98.12-8) unstable; urgency=low

  * Workaround "flickering" on n800
  * Fix for thumbs+buttons on 2007HE

 -- Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>  Thu, 04 Oct 2007 17:17:14 -0500

fceu (0.98.12-bora3) unstable; urgency=low

  * Added onscreen buttons for Screenshot, Select, Start, and Quit.
  * Set to auto-pause if device goes inactive
  * Autosaves if the device powers down while playing,
  *  and autoloads next time the game is launched.
  * Zoom in/out buttons control audio volume
  * Home button pauses instead of quitting
  * 770/N800 autotools cleanup

 -- Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>  Wed, 21 Feb 2006 17:17:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: fceu
-Section: games
+Section: user/other
 Priority: optional
-Maintainer: Joe Nahmias <jello@debian.org>
-Build-Depends: debhelper (>= 7.0.50), zlib1g-dev, libsdl1.2-dev | libsdl-dev,
-  libgl1-mesa-dev
-Standards-Version: 3.9.1
-Homepage: http://fceultra.sourceforge.net/
+Maintainer: Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>
+Build-Depends: debhelper, zlib1g-dev | libz-dev, libsdl1.2-dev | libsdl-dev
+Standards-Version: 3.6.1.1
 
 Package: fceu
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: efp
+Depends: osso-esd, ${shlibs:Depends}, ${misc:Depends}
+Suggests: efp, xmaeme
 Provides: nes-emulator
 Replaces: fceu-sdl, fceu-svga, fceu-doc
 Description: FCE Ultra - a nintendo (8-bit) emulator
@@ -24,3 +22,10 @@
        * GameGenie emulation
        * accepts compressed (PKZIP, gzip) ROM images
        * TCP/IP network play
+ .
+ The project's homepage is at: http://fceultra.sourceforge.net/
+ .
+ This package has been customized for use with the Nokia 770, including 
+ default keymappings to the 770's hardware buttons and onscreen 
+ buttons.  It works best if used with the Xmaeme launcher.
+ The homepage for the port is: http://garage.maemo.org/projects/xmame/

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,12 @@
 
 
 CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
 
 config.status: configure
 	dh_testdir
@@ -66,9 +72,9 @@
 	dh_install
 
 	# work around dh_install not handling spaces in filenames
-	mkdir -p ${DESTDIR}/usr/share/doc/fceu/tech/
-	cp -a Documentation/tech/ppu/2C02\ technical\ operation.TXT \
-		${DESTDIR}/usr/share/doc/fceu/tech/
+	#mkdir -p ${DESTDIR}/usr/share/doc/fceu/tech/
+	#cp -a Documentation/tech/ppu/2C02\ technical\ operation.TXT \
+	#	${DESTDIR}/usr/share/doc/fceu/tech/
 	mkdir -p ${DESTDIR}/home/user/.fceultra
 	cp -a fceu98.cfg ${DESTDIR}/home/user/.fceultra
 	
@@ -87,10 +93,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
-	dh_installdocs
+	#dh_installchangelogs ChangeLog
+	#dh_installdocs
 #	dh_installmenu
-	dh_installman fceu.6
+	#dh_installman fceu.6
 	dh_link
 	dh_strip
 	dh_compress
@@ -98,6 +104,8 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	rm -rf debian/fceu/usr/share/doc
+	chmod -R 777 debian/fceu/home/user/.fceultra
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=2
# Homepage				Pattern		[Version  [Action]]
http://fceultra.sourceforge.net/releases/ \
	fceu-(\d[\d\.]*)\.src\.t(ar\.)?(gz|bz2) \
		debian \
			uupdate

## fceu 0.98.12-9

=== debian/changelog ===
fceu (0.98.12-9) unstable; urgency=low

  * Hopefully fix chinook extras-devel

 -- Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>  Thu, 04 Oct 2007 17:17:14 -0500
